gl HomeFolder ""


*******************************************************************************
use "$HomeFolder/Exp1_2_dataset.dta", clear

****************************EXCLUSIONS start***********************************

*Quiz:
/* Exp1:
Additional quiz failures:
*/
replace quiz_fail=1 if subject=="nfc-130918_1655-phase1-subj07"
replace quiz_fail=1 if subject=="nfc-131106_1657-phase1-subj02"
count if quiz_fail==1 & experiment==1
list subject if quiz_fail==1 & experiment==1
drop if quiz_fail==1 & experiment==1
*11 + nfc-130918_1655-phase1-subj09 (excluded ex-ante) = 12


*Exp2:
*Quiz failures:
drop if subject == "fc-2018-09-27-4"
drop if subject == "fc-2018-09-27-9"
drop if subject == "fc-2018-09-28-1-17"
drop if subject == "fc-2018-09-28-1-23"
drop if subject == "fc-2018-09-28-2-5"
drop if subject == "fc-2018-09-28-2-14"
drop if subject == "fc-2018-09-28-2-15"
drop if subject == "nfc-2018-09-20-14"
drop if subject == "nfc-2018-09-21-1-8"
drop if subject == "nfc-2018-09-21-2-1"
drop if subject == "nfc-2018-09-21-2-6"
drop if subject == "nfc-2018-09-21-2-8"
drop if subject == "nfc-2018-09-21-2-15"
drop if subject == "nfc-2018-09-21-2-20"
drop if subject == "nfc-2018-09-21-2-24"
drop if subject == "nfc-2018-10-05-2"
drop if subject == "nfc-2018-10-05-9"
drop if subject == ""

****************************EXCLUSIONS end***********************************
gen deferrals = 26-active_choices
gen deferring = active_choices<26

gen warp0 = warp==0
gen cong0 = congruence==0
gen hm0 = hm==0

label var deferrals "Deferrals"
label define explabel 1 "Exp1" 2 "Exp2" 
label values experiment explabel

exit

****************************Table 1 start************************************

bys experiment: tab warp0 fc, col exact
tab warp0 fc, col exact
bys experiment: tab cong0 fc, col exact
tab cong0 fc, col exact

****************************Table 1 end**************************************


****************************Table 2 start************************************
*WARP Means
bys experiment: ttest warp, by(fc)
ttest warp, by(fc)
*WARP Quartiles:
bys experiment fc: sum warp, det
bys fc: sum warp, det
*WARP MW tests:
bys experiment: ranksum warp, by(fc) exact
ranksum warp, by(fc) exact
*Congruence Means
bys experiment: ttest congruence, by(fc)
ttest congruence, by(fc)
*Congruence Quartiles:
bys experiment fc: sum congruence, det
bys fc: sum congruence, det
*Congruence MW tests:
bys experiment: ranksum congruence, by(fc) exact
ranksum congruence, by(fc) exact

****************************Table 2 end**************************************


****************************Table 3 start************************************

*HM Means:
bys experiment: ttest hm_active, by(fc)
ttest hm_active, by(fc)
*HM MW tests:
bys experiment: ranksum hm_active, by(fc) exact
ranksum hm_active, by(fc) exact
*SWAPS Means:
bys experiment: ttest swaps, by(fc) 
ttest swaps, by(fc)
*SWAPS MW tests:
bys experiment: ranksum swaps, by(fc) exact
ranksum swaps, by(fc) exact

****************************Table 3 end************************************




***************************Table 5 start**********************************

use "$HomeFolder/Lotteries.dta", clear

****************************EXCLUSIONS************************************
*Exclude subjects who still made errors by 
*the third attempt at the comprehension test:
drop if sstotalerrors>0


gen consistent = all_cycles_raw==0

tab consistent fc, col exact
tab consistent deferring if fc==0, col exact
preserve
drop if deferring==0&fc==0
tab consistent fc, col exact
restore

***************************Table 5 end**********************************
