
gl HomeFolder ""


*******************************************************************************
use "$HomeFolder/Exp1_2_dataset.dta", clear

****************************EXCLUSIONS start***********************************

*Quiz:
/* Exp1:
Additional quiz failures:
*/
replace quiz_fail=1 if subject=="nfc-130918_1655-phase1-subj07"
replace quiz_fail=1 if subject=="nfc-131106_1657-phase1-subj02"
count if quiz_fail==1 & experiment==1
list subject if quiz_fail==1 & experiment==1
drop if quiz_fail==1 & experiment==1
*11 + nfc-130918_1655-phase1-subj09 (excluded ex-ante) = 12


*Exp2:
*Quiz failures:
drop if subject == "fc-2018-09-27-4"
drop if subject == "fc-2018-09-27-9"
drop if subject == "fc-2018-09-28-1-17"
drop if subject == "fc-2018-09-28-1-23"
drop if subject == "fc-2018-09-28-2-5"
drop if subject == "fc-2018-09-28-2-14"
drop if subject == "fc-2018-09-28-2-15"
drop if subject == "nfc-2018-09-20-14"
drop if subject == "nfc-2018-09-21-1-8"
drop if subject == "nfc-2018-09-21-2-1"
drop if subject == "nfc-2018-09-21-2-6"
drop if subject == "nfc-2018-09-21-2-8"
drop if subject == "nfc-2018-09-21-2-15"
drop if subject == "nfc-2018-09-21-2-20"
drop if subject == "nfc-2018-09-21-2-24"
drop if subject == "nfc-2018-10-05-2"
drop if subject == "nfc-2018-10-05-9"
drop if subject == ""


*Noisiness exclusions given by cutoff variable
*This variable is the lower 2.5 percentile of HM scores for 
*10,000 random simulations of active choices from the actual set of menus at which the subject made an active choice.
replace cutoff = 8 if active_choices==26
*This sets the cutoff for FC subjects.

gen exclude_noisy=0
replace exclude_noisy=1 if hm_active>=cutoff
replace exclude_noisy=0 if cutoff==0&hm_active==0
replace exclude_noisy=0 if active_choices==0
list subject if exclude_noisy==1

gen exclude_singleton = 0
replace exclude_singleton = 1 if active_singleton<5 & experiment==1

gen exclude_total = 0
replace exclude_total = 1 if exclude_noisy==1
replace exclude_total = 1 if exclude_singleton==1

****************************EXCLUSIONS end**********************************


****************************Table 2 start************************************
list subject if exclude_singleton==1
bys experiment fc: count if exclude_noisy==1
count if exclude_singleton==1 & exclude_noisy==0

*Total subjects after exclusions:
tab fc experiment if exclude_total==0
tab fc experiment
****************************Table 2 end************************************


gen deferrals = 26-active_choices
gen deferring = active_choices<26

gen warp0 = warp==0
gen cong0 = congruence==0
gen hm0 = hm==0

label var deferrals "Deferrals"
label define explabel 1 "Exp1" 2 "Exp2" 
label values experiment explabel

drop if exclude_total==1
******************************************************************************
exit


****************************Figure 1 start************************************

set scheme s1mono
histogram deferrals if fc==0, subtitle("") by(experiment, note("")) ylabel(0(.1).7, grid) xlabel(0(5)25) disc ysize(2.5)
/* graph export "aux_files/deferrals_histogram.pdf", as(pdf) replace */

*Tests related to Figure 1:

ranksum deferrals if fc==0, by(experiment) exact

bys experiment: sum deferrals if fc==0
bys experiment: sum deferrals if fc==0 & deferring==1
bys experiment: tab deferrals if fc==0

tab deferring experiment if fc==0, col exact

ranksum deferrals if fc==0 & deferring==1, by(experiment) exact

****************************Figure 1 end*************************************


*Footnote 6:
bys fc: tab warp0 experiment, col exact
bys fc: tab cong0 experiment, col exact
bys fc: ranksum hm_active, by(experiment)
bys fc: ranksum swaps, by(experiment)


****************************Table 3 start************************************

bys experiment: tab warp0 fc, col exact
tab warp0 fc, col exact
bys experiment: tab cong0 fc, col exact
tab cong0 fc, col exact

****************************Table 3 end**************************************


****************************Table 4 start************************************
*WARP Means
bys experiment: ttest warp, by(fc)
ttest warp, by(fc)
*WARP Quartiles:
bys experiment fc: sum warp, det
bys fc: sum warp, det
*WARP MW tests:
bys experiment: ranksum warp, by(fc) exact
ranksum warp, by(fc) exact
*Congruence Means
bys experiment: ttest congruence, by(fc)
ttest congruence, by(fc)
*Congruence Quartiles:
bys experiment fc: sum congruence, det
bys fc: sum congruence, det
*Congruence MW tests:
bys experiment: ranksum congruence, by(fc) exact
ranksum congruence, by(fc) exact

****************************Table 4 end**************************************


****************************Table 5 start************************************

*HM Means:
bys experiment: ttest hm_active, by(fc)
ttest hm_active, by(fc)
*HM MW tests:
bys experiment: ranksum hm_active, by(fc) exact
ranksum hm_active, by(fc) exact
*SWAPS Means:
bys experiment: ttest swaps, by(fc) 
ttest swaps, by(fc)
*SWAPS MW tests:
bys experiment: ranksum swaps, by(fc) exact
ranksum swaps, by(fc) exact

****************************Table 5 end************************************


****************************Table 6 start************************************

*Indecisiveness score:
gen indecisive = 1-dec
centile indecisive, centile(33.3 50 66.7)
gen indec67=1 if indecisive>.4740
replace indec67=0 if indecisive<.3052

*WARP/Congruence Proportions and p-values:
bys indec67: tab warp0 fc, col exact
bys fc: tab warp0 indec67, col exact

*HM Means:
bys indec67: ttest hm_active, by(fc)
*HM MW tests of treatment diffs:
bys indec67: ranksum hm_active, by(fc)
*HM MW tests of indec diffs:
bys fc: ranksum hm_active, by(indec67)

*Swaps Means:
bys indec67: ttest swaps, by(fc)
*Swaps MW tests of treatment diffs:
bys indec67: ranksum swaps, by(fc)
*Swaps MW tests of indec diffs:
bys fc: ranksum swaps, by(indec67)

*Indecisiveness of deferring vs non-deferring subjects:
ttest indecisive if fc==0, by(deferring)
ranksum indecisive if fc==0, by(deferring)

****************************Table 6 end**************************************


****************************Table 7 start************************************

bys experiment fc: sum hm_um hm_mdc hm, det
bys fc: sum hm_um hm_mdc hm, det

****************************Table 7 end**************************************



****************************Table 8 start************************************

*Overall:
bys experiment: tab model_hm fc, col
*NFC-deferring:
bys experiment: tab model_hm if fc==0 & deferring==1

gen model_perfect = model_hm if hm==0
*Perfect fits, Overall:
bys experiment: tab model_perfect fc, col m
*Perfect fit, NFC-deferring:
bys experiment: tab model_perfect if fc==0 & deferring==1, m

*Compare indecisiveness in NFC:
ttest indecisive if fc==0, by(model_hm)
ranksum indecisive if fc==0, by(model_hm)

****************************Table 8 end**************************************

